aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/include/tinyrad.h
diff options
context:
space:
mode:
authorDavid M. Syzdek <david@syzdek.net>2022-04-18 13:06:14 -0800
committerDavid M. Syzdek <david@syzdek.net>2022-04-18 13:06:14 -0800
commit64a20ad4fcd5c94d20de09dc4b26873d444b3ec7 (patch)
tree6741f04f698a411ba3fd106c02370b05bdb35a9f /include/tinyrad.h
parent376d18bcb7ee9de199bbb05a11f681c538292454 (diff)
downloadtinyrad-64a20ad4fcd5c94d20de09dc4b26873d444b3ec7.tar.gz
tinyrad-64a20ad4fcd5c94d20de09dc4b26873d444b3ec7.tar.bz2
tinyrad-64a20ad4fcd5c94d20de09dc4b26873d444b3ec7.tar.xz
tinyrad-64a20ad4fcd5c94d20de09dc4b26873d444b3ec7.zip
tinyrad: adding stub for client widget
Diffstat (limited to 'include/tinyrad.h')
-rw-r--r--include/tinyrad.h10
1 files changed, 10 insertions, 0 deletions
diff --git a/include/tinyrad.h b/include/tinyrad.h
index 8452a90..62e7b2d 100644
--- a/include/tinyrad.h
+++ b/include/tinyrad.h
@@ -420,6 +420,7 @@
420#define TRAD_ACCESS_REJECT 3 // RFC 2865 Section 4.3. Access-Reject 420#define TRAD_ACCESS_REJECT 3 // RFC 2865 Section 4.3. Access-Reject
421#define TRAD_ACCOUNT_REQ 4 // RFC 2866 Section 4.1. Accounting-Request 421#define TRAD_ACCOUNT_REQ 4 // RFC 2866 Section 4.1. Accounting-Request
422#define TRAD_ACCOUNT_RES 5 // RFC 2866 Section 4.2. Accounting-Response 422#define TRAD_ACCOUNT_RES 5 // RFC 2866 Section 4.2. Accounting-Response
423#define TRAD_ACCOUNT_STATUS 6 // RFC 2866 Section 4.2. Accounting-Response
423#define TRAD_ACCESS_CHALLENGE 11 // RFC 2865 Section 4.4. Access-Challenge 424#define TRAD_ACCESS_CHALLENGE 11 // RFC 2865 Section 4.4. Access-Challenge
424#define TRAD_DISCONNECT_REQ 40 // RFC 3576 Section 2.3. Packet Format 425#define TRAD_DISCONNECT_REQ 40 // RFC 3576 Section 2.3. Packet Format
425#define TRAD_DISCONNECT_ACK 41 // RFC 3576 Section 2.3. Packet Format 426#define TRAD_DISCONNECT_ACK 41 // RFC 3576 Section 2.3. Packet Format
@@ -446,6 +447,15 @@ typedef struct _tinyrad_oid TinyRadOID;
446typedef struct sockaddr_storage tinyrad_sockaddr_t; 447typedef struct sockaddr_storage tinyrad_sockaddr_t;
447 448
448 449
450typedef struct tinyrad_pkt_type
451{
452 uintptr_t type;
453 const char * alias;
454 const char * name;
455 const char * desc;
456} TinyRadPktType;
457
458
449typedef struct tinyrad_binval 459typedef struct tinyrad_binval
450{ 460{
451 size_t bv_len; 461 size_t bv_len;